import request from '@/utils/request'

export function dxAddressList(query) {
    return request({
        url: '/system/dxAddress/list',
        method: 'get',
        params: query
    })
}
export function getWarehouseInfo(query) {
  return request({
      url: '/system/dxAddress/getWarehouseInfo',
      method: 'get',
      params: query
  })
}
export function saveOrUpdate(query) {
  return request({
      url: '/system/dxAddress/saveOrUpdate',
      method: 'post',
      data: query
  })
}
export function dxAddressDelete(query) {
  return request({
      url: '/system/dxAddress/delete/'+query,
      method: 'get',
  })
}
export function dxAddressInfo(query) {
  return request({
      url: '/system/dxAddress/info/'+query,
      method: 'get',
  })
}
